org.eclipse.swt.dnd

## Class DragSourceAdapter

- java.lang.Object
- - org.eclipse.swt.dnd.DragSourceAdapter

All Implemented Interfaces:
  DragSourceListener

Direct Known Subclasses:
  DragSourceEffect

    public class DragSourceAdapter
    extends java.lang.Object
    implements DragSourceListener

This adapter class provides default implementations for the methods described by the `DragSourceListener` interface.

Classes that wish to deal with `DragSourceEvent`s can extend this class and override only the methods which they are interested in.

Since:
  1.3
See Also:
  `DragSourceListener`, `DragSourceEvent`

### Constructor Summary

Constructors
Constructor and Description
`DragSourceAdapter()`

### Method Summary

Methods
`void` `dragFinished(DragSourceEvent event)` This implementation of `dragFinished` does nothing.
`void` `dragSetData(DragSourceEvent event)` This implementation of `dragSetData` does nothing.
`void` `dragStart(DragSourceEvent event)` This implementation of `dragStart` permits the drag operation to start.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DragSourceAdapter

    public DragSourceAdapter()

### Method Detail

#### dragStart

    public void dragStart(DragSourceEvent event)

This implementation of `dragStart` permits the drag operation to start. For additional information see `DragSourceListener.dragStart`.

Specified by:
  `dragStart` in interface `DragSourceListener`
Parameters:
  `event` - the information associated with the drag start event
See Also:
  `DragSourceEvent`

#### dragFinished

    public void dragFinished(DragSourceEvent event)

This implementation of `dragFinished` does nothing. For additional information see `DragSourceListener.dragFinished`.

Specified by:
  `dragFinished` in interface `DragSourceListener`
Parameters:
  `event` - the information associated with the drag finished event
See Also:
  `DragSourceEvent`

#### dragSetData

    public void dragSetData(DragSourceEvent event)

This implementation of `dragSetData` does nothing. For additional information see `DragSourceListener.dragSetData`.

Specified by:
  `dragSetData` in interface `DragSourceListener`
Parameters:
  `event` - the information associated with the drag set data event
See Also:
  `DragSourceEvent`

Copyright (c) EclipseSource and others 2002, 2019. All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0